﻿// <auto-generated> This file has been auto generated by EF Core Power Tools. </auto-generated>
#nullable disable
using System.ComponentModel.DataAnnotations;
using System.ComponentModel.DataAnnotations.Schema;
using Microsoft.EntityFrameworkCore;

namespace Airlines.Persistence.Basic.Models;

[Index("Flight_Number", Name = "CHK_FlightNumber", IsUnique = true)]
public partial class Flight
{
    [Key]
    public int ID { get; set; }

    [StringLength(10)]
    [Unicode(false)]
    public string Flight_Number { get; set; }

    [StringLength(100)]
    [Unicode(false)]
    public string Airline { get; set; }

    public int? DepartureID { get; set; }

    public int? ArrivalID { get; set; }

    [Column(TypeName = "datetime")]
    public DateTime? Departure_date { get; set; }

    [Column(TypeName = "datetime")]
    public DateTime? Arrival_date { get; set; }

    [ForeignKey("ArrivalID")]
    [InverseProperty("FlightArrivals")]
    public virtual Airport Arrival { get; set; }

    [ForeignKey("DepartureID")]
    [InverseProperty("FlightDepartures")]
    public virtual Airport Departure { get; set; }
}